Bug 10762 - Make it possible to adjust the barcode height and width on labels
Summary: Make it possible to adjust the barcode height and width on labels
Status: Failed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jérémy Breuillard
QA Contact: Testopia
URL:
Keywords: release-notes-needed
Depends on:
Blocks:
 
Reported: 2013-08-19 14:06 UTC by Jesse Maseto
Modified: 2022-05-20 09:46 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10762: Change the size of barcodes in label creator (13.53 KB, patch)
2021-11-17 13:21 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 10762: Change the size of barcodes in label creator (13.57 KB, patch)
2022-05-06 17:09 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Maseto 2013-08-19 14:06:15 UTC
I created a new layout (section 2.5.3.1 in the manual) that just shows the barcode, and I set the font size big. First I did 14, then 32 just to make sure my eyes weren't deceiving me. The numbers below the barcode didn't change size!

It seems like the font settings only affect the bibliographic data. What I want to change is the barcode number itself.
Comment 1 Binu Thomas 2014-04-21 13:38:20 UTC
Hello,

Is this issue confirmed as a bug. We are also facing this issue in Koha 3.14.05.? Any timeline of getting this resolved? Is anyone working on this?

Regards,

Binu
Comment 2 Binu Thomas 2014-04-21 13:39:22 UTC
Hello,

Is this issue confirmed as a bug. We are also facing this issue in Koha 3.14.05.? Any timeline of getting this resolved? Is anyone working on this?

Regards,

Binu
Comment 3 Bernardo Gonzalez Kriegel 2014-05-02 00:06:59 UTC
Currently generated barcodes are images produced using GD::Barcode.
It's not possible to set font size for numbers.
Comment 4 Rajeshwari Nair 2015-07-17 06:45:03 UTC
Hi,

It is true that the options to change the size of the barcode is non functional. 

However, while exporting the batch if you choose 'spine label' in the 'Template' option and Barcode in the 'layout' option the size of the barcode increases. But this disturbs the printing set up if you are using specific labels for printing the barcodes. 

-Rajeshwari
Comment 5 Marc Véron 2016-06-13 12:44:08 UTC
I fixed it for patron cards, there could be a similar solution for labels, but there is som more work necessary.

Bug 14107 - Patron cards: Make barcode width and height scaling editable
See also comment #1 on Bug 14149 - Labels: Make barcode width and height scaling editable
Comment 6 Marjorie Barry-Vila 2021-06-08 18:14:43 UTC
Still valid on 20.05

Marjorie
Comment 7 Jérémy Breuillard 2021-11-17 13:21:09 UTC
Created attachment 127729 [details] [review]
Bug 10762: Change the size of barcodes in label creator

Test plan:
1)Home > Tools > Label creator > Manage Layout or New Layout
2)Make a new layout or edit an existing one
3)Notice the 2 new fields "Barcode width/Barcode height"
4)Save it like this
5)Create a batch of barcode and export if in PDF
6)Notice the size of barcode
7)Go back to your existing layout
8)Enter some values (Barcode width: 1.6 / Barcode height: 0.04), save
9)Take back your batch of barcode and export it in PDF
10)The barcode should be 2x bigger
Comment 8 Owen Leonard 2022-05-06 17:09:45 UTC
Created attachment 134754 [details] [review]
Bug 10762: Change the size of barcodes in label creator

Test plan:
1)Home > Tools > Label creator > Manage Layout or New Layout
2)Make a new layout or edit an existing one
3)Notice the 2 new fields "Barcode width/Barcode height"
4)Save it like this
5)Create a batch of barcode and export if in PDF
6)Notice the size of barcode
7)Go back to your existing layout
8)Enter some values (Barcode width: 1.6 / Barcode height: 0.04), save
9)Take back your batch of barcode and export it in PDF
10)The barcode should be 2x bigger

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 9 Marcel de Rooy 2022-05-13 09:39:13 UTC
Please submit reports under your own name. Change assignee field.
Comment 10 Katrin Fischer 2022-05-13 09:59:19 UTC
(In reply to Marcel de Rooy from comment #9)
> Please submit reports under your own name. Change assignee field.

I changed the assignee.
Comment 11 Jonathan Druart 2022-05-18 13:08:19 UTC
+            scale_height    =>      0.02,

Not 0.01 here?
Comment 12 Katrin Fischer 2022-05-20 09:35:00 UTC
I believe this actually fixes something different than originally reported.

This makes it possible to pick the size of the barcode, the original was a bug saying that the font size was not taken into account for the barcode number shown below the barcode.

I've filed a new bug and reset this as enh, because it's a nice new feature now.

Bug 30819 - Not able to adjust size of barcode numbers
Comment 13 Katrin Fischer 2022-05-20 09:44:07 UTC
1) QA test tools:

 FAIL	installer/data/mysql/atomicupdate/update-BZ_10762.pl
   FAIL	  file permissions
		File must have the exec flag

2) See comment#11, it looks like the original value was 0.01:

+            scale_height    =>      0.02,

-    my $barcode_y_scale_factor = 0.01 * $self->{'height'};              # this scales the barcode height to 10% of the label height

3) Defaults

Just a question, maybe someone else can answer that one too:

The patch adds the 2 new database columns with defaults 0.02 and 0.8 in the database and also sets the defaults in new. 

Should we do both or would one option suffice?

4) Changes to kohastructure.sql are missing